feddirc(1)

NAME
fmbedit, ftoss, fscan, fnlc, futility

DESCRIPTION
feddirc is the FEddi startup-file.

STARTUP
fmbedit will parse ~/.feddirc . Following commands are recognized:

MsgBasePath PATH
    This is the path which contains (or should contain) the 'areas' file and the mail-directorys. Don't forget the tailing slash.

InboundPath PATH
    This is the directory ftoss scans for new pakets. Tailing slash req.!

OutboundPath PATH
    This is the 'root' of the BINKLEY-outbound. For example Binkley uses '/usr/spool/fnet/outbound' as outbound, then OutboundPath must be set to '/usr/spool/fnet/' (tailing slash req.).

UtilityPath PATH
    fmbedit searchs this path for utilities (template '#|' or textedit: pipe-region).

CopyPath PATH
    Where to keep the backups.

NodelistPath PATH
    Where are the nodelist files? Perhaps in this directory!

Log FILE [LIMIT]
    This specifies the Logfile (full path req). LIMIT must be a number and sets the maximum size for the log. fmbedit will truncate the log, if it is to long.

Printer OUT OF FEDDIRC
    If you call print message (M-p) fmbedit will try to pipe the message through a script called printmsg. If you want a formatted message you should use the formatmsg script in the script.

Packer PACKERCALL
    The whole call for YOUR packer. There must be TWO '%s' - the first specifies the archivename, second for files to pack.

Unpacker PACKERCALL
    The unpack call. Defaults to "unpack". The filename will be appended to this command (Please return 0 for success, 1..99 for error and 100 for not packed).

Editor EDITORCALL
    Call for YOUR editor. '%s' stands for file-to-edit. If you leave this out, the internal editor will be called.

ImportText COMMAND
    Pipe file through this COMMAND when importing in textedit. Defaults to "importtext".

ExportMsg COMMAND
    Pipe message through this COMMAND when exporting. Defaults to "exportmsg".

PrintMsg COMMAND
    Pipe message through this COMMAND to print it. Defaults to "printmsg".

QuoteLength COLS
    Set the number of columns to which the will be formated when quoting it'.

Profile
    The following lines, up to the keyword end declare your AKA's. A profile-line consists of the following parts: 4D-Point Address WS NetName WS Password WS OutboundExtension WS [Routing] (WS stands for whitespace). The OutboundExtension must be without the NetNumber extension. A Route is vital for netmail-routing. i.e. you want that all mails for zones 45 and 46 are routet throuw this boss the Routing must be: '45:* 46:*'. The '*' stands for all possible extensions of this address.

AskForOrigName yes | no
    Ask for name (alias) when entering a new or replying an old message?

AutoDelEmpty yes | no
    Automatical delete empty messages when viewing them (in fmbedit).

AutoNextFolder yes | no
    Go automatical to next folder if end of current folder is reached?

Beep yes | no
    If you want fmbedit to make nasty noises.

Color TYPE COLOR[+][!] on COLOR
    Change the color for TYPE. TYPES: NormalText, QuoteText, Header, HeaderText, ReceivedDT, MarkedFlag, PrivateFlag, ProtectedFlag, StatusLine, StatusLineHigh, Menu, MenuHigh, MenuKey, MenuKeyHigh, Link, Warning, InputText, FoundText, LocalMessage, PrivateMsgList, PrivateMsgListHigh, ImportArea, ImportAreaHigh, NormalTextHigh, QuoteTextHigh, WarningBox, HelpBox, FirstQuoteText, CutOriginText, FirstQuoteTextHigh, CutOriginTextHigh. COLORS: black, red, green, blue, cyan, magenta, yellow, white. The modifier '+' selects BOLD, '!' selects BLINK.

Attribute TYPE ATTRIBUTE[,ATTRIBUTE]*
    Change the attribute for TYPE (see Color) on a monochrome terminal. ATTRIBUTE: normal, standout, underline, reverse, blink, dim, bold.

KeepBackups yes | no
    Make backups when packing (futility pack) ?

KeepNl yes | no
    Copy old nodelists to CopyPath ?

KeepPkt yes | no
    Copy tossed .pkt to CopyPath ?

Mailer binkley | ifcico
    Sets the case of outbound-files (binkley wants 'OUT', ifcico requires 'out').

MaxMsgLength #[b|k|f]
    Sets the maximum length of one message. Default value is 14K. This may be required in some nets, because there are tossers which support maximum 16K messages and cut longer mails. (split is currently not supported)

ReplySubject yes | no
    Insert 'Re:' in the subject when replying a message or not.

ShowAllAddr yes | no | name
    Show address of sender in echo-areas. Use name to force nodelist boxname lookup.

SkipDeleted yes | no
    Skip deleted messages when pressing HOME or END in messagelist?

StandardFlags [pr|cr|rc|se|fa|it|or|ks|lo|hp|fr|rr|ir|ar|fu]+
    Standard flags for new messages (defaults to lo==local). pr=private, cr=crash, rc=received, se=sent, fa=fileattached, it=intransit, or=orphan, ks=kill/sent, lo=local, hp=hold, fr=filerequest, rr=returnreceiptrequest, ir=isreceipt, ar=auditrequest, fu=fileupdaterequest

VerboseSubject yes | no
    Display only From: and Subject: in the msg list?

ConvertChars yes | no
    Toggles charset conversion (i.e. german umlaute to standart ascii) in textedit.

ClearMarks yes | no
    Clears marks after successful utility call or export. textedit.

FILES

config/feddirc
    for a sample rc.

SEE ALSO
fscan(1), ftoss(1), fmbedit(1), futility(1), fnlc(1)

AUTHOR
Oliver Graf.